#!/bin/sh
#
#ulimit -HSn 500000

PRG="$0"

while [ -h "$PRG" ]; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done

# Get standard environment variables
PRGDIR=`dirname "$PRG"`

APP_HOME=`cd "$PRGDIR/.." >/dev/null; pwd`

#pidFile="${APP_HOME}/bin/app.pid"
#kill -15 `cat $pidFile`

APP="${APP_HOME}/lib/web-gate-1.0.jar"
pkill -f  $APP
