GAME_ID=1009
DEBUG_PORT=10201
LOG4J2_FILE="config/log4j2.xml"
JAR_NAME="lib/web-gate-1.0.jar"
if [ ! -f "bin/is_test_env" ]; then
    JVM_OPTS="-server -Xms512m -Xmx512m -Xmn256m -XX:PermSize=64m -XX:MaxPermSize=128m -XX:MaxDirectMemorySize=1024m"
else
    JVM_OPTS="-server -Xms256m -Xmx256m -Xmn256m -XX:PermSize=64m -XX:MaxPermSize=128m -XX:MaxDirectMemorySize=1024m"
fi
JAVA_OPTS="$JAVA_OPTS -XX:+UseParNewGC -XX:+UseConcMarkSweepGC"
JAVA_OPTS="$JAVA_OPTS -XX:+TieredCompilation"
JAVA_OPTS="$JAVA_OPTS -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCApplicationStoppedTime -XX:+HeapDumpOnOutOfMemoryError -Xloggc:log/flash_gc_$(date +"%Y%m%d%H%M").log"
JAVA_OPTS="$JAVA_OPTS -Dlog4j.configurationFile=${LOG4J2_FILE}"

SOURCE_DIR="third_party/wjtx/"
SOURCE_PATH="third_party/wjtx/trunk/"
PRE_COMPILE_CMD="mvn clean package install -Dmaven.test.skip=true"
COMPILE_CMD="cd ../game-web/trunk && mvn clean package install -Dmaven.test.skip=true"
POST_COMPILE_CMD=""
EXT_PKG_FILES="public static templates"
